Support
API ReferencePlatform & IntegrationANS API

Revoke an active agent or cancel a pending registration

POST
/v1/agents/{agentId}/revoke

Path Parameters

agentId*string

Unique identifier of the agent

Request Body

application/json

Agent revocation request

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.godaddy.com/v1/agents/string/revoke" \  -H "Content-Type: application/json" \  -d '{    "reason": "KEY_COMPROMISE"  }'
{
  "agentId": "bc309ecf-5f66-4057-93c5-6611cc9cb7b2",
  "ansName": "ans://v1.0.0.myagent.example.com",
  "status": "PENDING_VALIDATION",
  "revokedAt": "2019-08-24T14:15:22Z",
  "reason": "KEY_COMPROMISE",
  "links": [
    {
      "href": "https://api.godaddy.com/v1/agents/550e8400-e29b-41d4-a716-446655440000",
      "rel": "agent-details"
    }
  ],
  "dnsRecordsToRemove": [
    {
      "name": "string",
      "priority": 0,
      "purpose": "DISCOVERY",
      "required": true,
      "ttl": 3600,
      "type": "HTTPS",
      "value": "string"
    }
  ]
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}
{
  "code": "string",
  "details": {
    "property1": {},
    "property2": {}
  },
  "message": "string",
  "status": "ERROR"
}

Last updated on

How is this guide?